Package com.logicaldoc.core.security.user

# Class WorkingTime

java.lang.Object
com.logicaldoc.core.security.user.WorkingTime

All Implemented Interfaces:
  `Serializable`

public class WorkingTime extends Object implements Serializable
Represents a time interval in the working time of the user

Since:
  8.7.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WorkingTime()`
`WorkingTime(int dayOfWeek, int hourStart, int minuteStart)`
`WorkingTime(WorkingTime source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`getDayOfWeek()`
`String`
`getDescription()`
`int`
`getHourEnd()`
`int`
`getHourStart()`
`String`
`getLabel()`
`int`
`getMinuteEnd()`
`int`
`getMinuteStart()`
`int`
`hashCode()`
`boolean`
`matchesCurrentTime()`
Checks if this working time matches the current time
`void`
`setDayOfWeek(int dayOfWeek)`
`void`
`setDescription(String description)`
`void`
`setHourEnd(int hourEnd)`
`void`
`setHourStart(int hourStart)`
`void`
`setLabel(String label)`
`void`
`setMinuteEnd(int minuteEnd)`
`void`
`setMinuteStart(int minuteStart)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkingTime

public WorkingTime()

### WorkingTime

public WorkingTime(int dayOfWeek, int hourStart, int minuteStart)

### WorkingTime

public WorkingTime(WorkingTime source)

## Method Details

### getDayOfWeek

public int getDayOfWeek()

### setDayOfWeek

public void setDayOfWeek(int dayOfWeek)

### getHourStart

public int getHourStart()

### setHourStart

public void setHourStart(int hourStart)

### getMinuteStart

public int getMinuteStart()

### setMinuteStart

public void setMinuteStart(int minuteStart)

### getHourEnd

public int getHourEnd()

### setHourEnd

public void setHourEnd(int hourEnd)

### getMinuteEnd

public int getMinuteEnd()

### setMinuteEnd

public void setMinuteEnd(int minuteEnd)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getLabel

public String getLabel()

### setLabel

public void setLabel(String label)

### matchesCurrentTime

public boolean matchesCurrentTime()
Checks if this working time matches the current time

Returns:
  true only id the current time matches the working time

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`